# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   devel
%define base_name commons-jxpath

Name:           jakarta-%{base_name}
Version:        1.3
Release:        4%{?dist}
Epoch:          0
Summary:        Simple XPath interpreter
Group:          Development/Libraries/Java
License:        ASL 2.0
URL:            http://jakarta.apache.org/commons/jxpath/
Source0:        http://archive.apache.org/dist/commons/jxpath/source/commons-jxpath-1.3-src.tar.gz
#FIXME:remove test beacause there is no mockrunner in dist-5E-ep-6
Patch0:         build.xml.patch
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections >= 0:2.1.1
Requires:       jakarta-commons-logging
Requires:       jdom >= 0:1.0
Requires:       servlet_api
Requires:       xerces-j2
Requires:       xml-commons-jaxp-1.3-apis
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections >= 0:2.1.1
BuildRequires:  jakarta-commons-logging
BuildRequires:  jdom >= 0:1.0
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  junit
BuildRequires:  servlet_api  
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Defines a simple interpreter of an expression language called XPath. 
JXPath applies  XPath  expressions to graphs of objects of all kinds: 
JavaBeans, Maps, Servlet contexts, DOM etc, including mixtures thereof.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}

%prep
%setup -q -n %{base_name}-%{version}-src
#touch build.properties
#echo jaxp.jaxp.jar = $(find-jar xml-commons-jaxp-1.3-apis) >> build.properties 
#echo jaxp.xslt.jar = $(find-jar xml-commons-jaxp-1.3-apis) >> build.properties 
#echo jdom.jar = $(find-jar jdom) >> build.properties 
#echo servlet.jar = $(find-jar servlet_api) >> build.properties 
#echo junit.jar = $(find-jar junit) >> build.properties 
#echo commons-beanutils.jar = $(find-jar commons-beanutils) >> build.properties 
#echo commons-collections.jar = $(find-jar commons-collections) >> build.properties 
#echo commons-logging.jar = $(find-jar commons-logging) >> build.properties 
%patch0 -p0

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath xerces-j2 servlet_api xml-commons-jaxp-1.3-apis jdom commons-beanutils commons-logging commons-collections mockrunner/mockrunner)
CLASSPATH=${CLASSPATH}:`pwd`/target/classes:`pwd`/target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 644 target/%{base_name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{base_name}-%{version}
ln -s %{base_name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{base_name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}*/%{name}-%{version}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{base_name}-%{version}.jar
%{_javadir}*/%{base_name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%{_javadocdir}/%{base_name}-%{version}
%{_javadocdir}/%{base_name}

%changelog
* Tue Jul 12 2011 David Walluck <dwalluck@redhat.com> 0:1.3-4
- fix build with servlet-api

* Mon Jun 13 2011 Yiqiao Wang <yiwang@redhat.com> 0:1.3-3
- Change (B)R geronimo-jsp-2.0-api to jbossweb-jsp-2.1-api
- Change (B)R geronimo-servlet-2.4-api to servlet_2_5_api
- fix %%{files} to include signed jars

* Sun Sep 19 2010 Hui Wang <huwang@redhat.com> 0:1.3-2
- Comment BR mockrunner out
- Add build.xml.patch to remove test

* Fri Oct 03 2008 David Walluck <dwalluck@redhat.com> 0:1.3-1
- 1.3
- add javadoc symlinks

* Wed Jun 07 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2-2jpp
- First JPP 1.7 build

* Sat Sep 18 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.2-1jpp
- Upgrade to 1.2
- Use jdom-1.0-0.rc1.1jpp
- Relax some versioned dependencies

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.1-3jpp
- Rebuild with ant-1.6.2

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.1-2jpp
- Upgrade to Ant 1.6.X

* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- First JPackage release
